Bug 83290 - (IDE VIA)X freezes at startup when CD-R connected
Summary: (IDE VIA)X freezes at startup when CD-R connected
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-01 17:14 UTC by Martin Comeau
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 02:20:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Comeau 2003-02-01 17:14:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When trying to launch X windows after a fresh install of Redhat 8, the system 
completely locks up (must power off - keyboard not responding).

I noticed if I disconnect my HP CD-R from the IDE controller all works well.

RH8 also refused to install if my CD-R was conencted, it would lockup after 
loading the CD-ROM Unified IDE driver. Disconnecting my CD-R allowed me to 
complet the installation.

All Redhat updates have been applied.

Currently using kernel 2.4.18.19 I beleive. (latest from RH Update)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install redhat 8
2. Start X
3.
    

Actual Results:  XWindows lcoks up the server

Expected Results:  X Windows should have started

Additional info:

System is a IBM xSeries x200 (P3 933Mhz / 512MB) :
Adaptec 29160LP SCSI HBA
Samsung 48X IDE CDROM connected to IDE1 (master)
HP-CDR 9300 connected to IDE2 (master)

Comment 1 Mike A. Harris 2003-02-01 18:38:48 UTC
This isn't an XFree86 bug, it is most likely a hardware conflict issue.
You probably have an IRQ conflict or some other similar problem.

Any comments Arjan?

Comment 2 Mike A. Harris 2003-02-03 16:15:14 UTC
Reassigning to the kernel as this is most likely an IDE chipset issue or
some other hardware conflict.  Unlikely it is an XFree86 bug, and even
more unlikely that I'll have the same CD writer, motherboard and video
card as you to test anything.

Comment 3 Arjan van de Ven 2003-02-03 16:17:58 UTC
what kind of ide chipset is involved?
can you get a dmesg output from before the crash ?

Comment 4 Martin Comeau 2003-02-03 17:11:45 UTC
the IDE chipset is a VIA VT82C686B south bridge.

I will look for the dmesg when I am next to the server later tonight.

Comment 5 Alan Cox 2003-06-08 15:18:40 UTC
Does this still occur with current errata kernels ?



Note You need to log in before you can comment on or make changes to this bug.